/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package bicat.GO;

import java.util.LinkedList;
import java.util.Vector;

/**
 *
 * @author Hamed
 */
public class List {
    private String name="";
    private String clusterfolderPath = "";
    private String goFolderPath="";
    private String pop_Path = "";
    private String organism = "";
    private String [] goFilePaths=null;
    private String [] clusterFilePaths=null;
    private String fullName="";
    private boolean hasBP_goFiles=true;
    private boolean hasMF_goFiles = false;
    private boolean hasCC_goFiles = false;
    private int datasetIdx=0;
    private LinkedList bcList=null;
    private Vector fc_AllPvalues=null;
    
    

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClusterFolderPath() {
        return clusterfolderPath;
    }

    public void setClusterFolderPath(String folderPath) {
        this.clusterfolderPath = folderPath;
    }

    public String getPop_Path() {
        return pop_Path;
    }

    public void setPop_Path(String pop_Path) {
        this.pop_Path = pop_Path;
    }

    public String getOrganism() {
        return organism;
    }

    public void setOrganism(String organism) {
        this.organism = organism;
    }

    public String[] getGoFilePaths() {
        return goFilePaths;
    }

    public void setGoFilePaths(String[] goFilePath) {
        this.goFilePaths = goFilePath;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public boolean isHasBP_goFiles() {
        return hasBP_goFiles;
    }

    public void setHasBP_goFiles(boolean hasBP_goFiles) {
        this.hasBP_goFiles = hasBP_goFiles;
    }

    public boolean isHasMF_goFiles() {
        return hasMF_goFiles;
    }

    public void setHasMF_goFiles(boolean hasMF_goFiles) {
        this.hasMF_goFiles = hasMF_goFiles;
    }

    public boolean isHasCC_goFiles() {
        return hasCC_goFiles;
    }

    public void setHasCC_goFiles(boolean hasCC_goFiles) {
        this.hasCC_goFiles = hasCC_goFiles;
    }

    public LinkedList getBcList() {
        return bcList;
    }

    public void setBcList(LinkedList bcList) {
        this.bcList = bcList;
    }

    public int getDatasetIdx() {
        return datasetIdx;
    }

    public void setDatasetIdx(int datasetIdx) {
        this.datasetIdx = datasetIdx;
    }

    public String[] getClusterFilePaths() {
        return clusterFilePaths;
    }

    public void setClusterFilePaths(String[] clusterFilePaths) {
        this.clusterFilePaths = clusterFilePaths;
    }

    public Vector getFc_AllPvalues() {
        return fc_AllPvalues;
    }

    public void setFc_AllPvalues(Vector fc_AllPvalues) {
        this.fc_AllPvalues = fc_AllPvalues;
    }

    public String getGoFolderPath() {
        return goFolderPath;
    }

    public void setGoFolderPath(String goFolderPath) {
        this.goFolderPath = goFolderPath;
    }

    
    
}
